import { Entity, Column, PrimaryGeneratedColumn } from 'typeorm';

// 实体层
@Entity()
export class Users {
    // 以下是数据库基本字段
    @PrimaryGeneratedColumn()
    id: number;

    @Column({ type: 'nvarchar', length: 20 })
    name: string;

    @Column({ type: 'nvarchar', length: 2 })
    sex: string;

    @Column({ type: 'varchar', length: 13 })
    phoneNumber: string;

    @Column('text')
    address: string
}